import { HTMLCanvasElement } from './elements/HTMLCanvasElement';
const canvasElementMap = new WeakMap();
function getHTMLCanvasElementByView(view) {
    return canvasElementMap.get(view);
}
function getOrCreateHTMLCanvasElement(view, canvas) {
    if (canvasElementMap.has(view)) {
        return canvasElementMap.get(view);
    }
    const element = new HTMLCanvasElement(view, canvas);
    canvasElementMap.set(view, element);
    return element;
}
export { getHTMLCanvasElementByView, getOrCreateHTMLCanvasElement };
//# sourceMappingURL=contextMapping.js.map