import { Canvas, CanvasView } from '@nativescript-community/ui-canvas';
import { Observable } from '@nativescript/core';
import { CanvasRenderingContext2D } from '../contexts/CanvasRenderingContext2D';
import { ImageBitmapRenderingContext } from '../contexts/ImageBitmapRenderingContext';
import { OffscreenCanvas } from './OffscreenCanvas';
declare class NSHTMLCanvasElement extends Observable {
    private readonly _canvasViewRef;
    private readonly _nativeContextRef;
    private _offscreenContext;
    private _context;
    private _isControlledByOffscreen;
    constructor(canvasView?: CanvasView, canvasContext?: Canvas);
    getContext(contextId: '2d', contextAttributes?: any): CanvasRenderingContext2D | null;
    getContext(contextId: 'bitmaprenderer', contextAttributes?: any): ImageBitmapRenderingContext | null;
    enableOffscreenBuffer(): void;
    disableOffscreenBuffer(): void;
    isOffscreenBufferEnabled(): boolean;
    drawOffscreenBuffer(): void;
    transferControlToOffscreen(): OffscreenCanvas;
    toDataURL(type?: string, encoderOptions?: number): string;
    get view(): CanvasView;
    get nativeContext(): Canvas;
    get width(): number;
    set width(val: number);
    get height(): number;
    set height(val: number);
}
export { NSHTMLCanvasElement as HTMLCanvasElement };
